/*
 * timerA01ms.c
 *
 *  Created on: 03.05.2014
 *      Author: DL9MWE
 *      29.12.2015
 */
#include "main.h"

//unsigned int timertick=0;		// 1ms-Tickzhler
/*
 * timer_1ms.c
 *
 *  Created on: 03.05.2014
 *      Author: DL9MWE
 *      30.12.2015
 */
#include "main.h"


unsigned int timertick_ms = 0;

//-------------------------------------
// initialisiert Timer0 fr 1ms ticks
// DCO-Takt ACLK Einstellung in main.h
void vTimerA0_init(void)
{
  TACTL   = TASSEL1 + ID_0 + TACLR;		//SMCLK, Div=1, Clear TAR
#if (F_MHZ == 1)
  TACCR0  = 1000;						//1MHz Takt => 1ms Ticks
#endif
#if (F_MHZ == 8)
  TACCR0  = 8000;						//8MHz Takt => 1ms Ticks
#endif
#if (F_MHZ == 12)
  TACCR0  = 12000;						//12MHz Takt => 1ms Ticks
#endif
#if (F_MHZ == 16)
  TACCR0  = 16000;						//16MHz Takt => 1ms Ticks
#endif
  TACCTL0 = CCIE;						//Interrupt enable
  TACTL  |= MC0;                        //Start Timer_A in up mode (up to TACCR0)
}

//****** Timer0 Interrupt-Service-Routine, wird jede 1ms aufgerufen ********
#pragma vector=TIMER0_A0_VECTOR
__interrupt void Timer0_A0 (void) {
	if(--timertick_ms == 0)		// Im Wartemodus ms herunterzhlen bis zum Ereignis
	    _BIC_SR_IRQ(LPM0_bits);	// Clear LPM3 bits from 0(SR)
	if(Beep)
		Beeper_toggle;
}

// Ende timerA01ms.c
